Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Interface ResourceExportInterface

All Known Implementing Classes:
  JobMeta, StepMeta, TransMeta

    public interface ResourceExportInterface

The classes implementing this interface allow their used resources to be exported.

Author:
  Matt

Method Summary
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface namingInterface, Repository repository)` Exports the object to a flat-file system, adding content with filename keys to a set of definitions.

Method Detail

### exportResources

    String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                           Map<String,ResourceDefinition> definitions,
                           ResourceNamingInterface namingInterface,
                           Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Exports the object to a flat-file system, adding content with filename keys to a set of definitions. The supplied resource naming interface allows the object to name appropriately without worrying about those parts of the implementation specific details.

  Parameters:
    `space` - The variable space to resolve (environment) variables with.
    `definitions` - The map containing the filenames and content
    `namingInterface` - The resource naming interface allows the object to name appropriately
    `repository` - the repository object to load from
  Returns:
    The filename for this object. (also contained in the definitions map)
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong during the export

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD